Bug 840200 - dracut-020-84.git20120711.fc18.x86_64 fails to boot
dracut-020-84.git20120711.fc18.x86_64 fails to boot
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 05:06 EDT by Nicolas Mailhot
Modified: 2012-09-14 09:58 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 09:58:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (316.93 KB, text/plain)
2012-07-14 05:12 EDT, Nicolas Mailhot
no flags Details
lspci (213.20 KB, text/plain)
2012-07-14 05:13 EDT, Nicolas Mailhot
no flags Details
system logs (203.75 KB, text/plain)
2012-07-14 05:23 EDT, Nicolas Mailhot
no flags Details
avcs according to ausearch (90.56 KB, text/plain)
2012-07-14 05:26 EDT, Nicolas Mailhot
no flags Details
avcs according to dmesg (3.70 KB, text/plain)
2012-07-14 05:27 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Nicolas Mailhot 2012-07-14 05:06:16 EDT
1. update to latest selinux-policy
2. fixfiles restore
3. update dracut, systemd & libgudev1
4. update kernel
5. sync
6. reboot
7. boot failure, asks for maintenance password
8. provide password
9. curse
9. systemctl restart gpm service (for cut & pasting)
10. system decides it can boot after all

dracut-020-84.git20120711.fc18.x86_64
kernel-3.5.0-0.rc6.git4.1.fc18.x86_64
libgudev1-186-2.fc18.x86_64
selinux-policy-3.11.0-9.fc18.noarch
selinux-policy-devel-3.11.0-9.fc18.noarch
selinux-policy-targeted-3.11.0-9.fc18.noarch
systemd-186-2.fc18.x86_64
systemd-libs-186-2.fc18.x86_64
systemd-sysv-186-2.fc18.x86_64

Jul 07 15:07:58 Updated: dracut-019-2.fc18.noarch
Jul 07 15:09:17 Installed: systemd-185-1.fc18.x86_64
Jul 07 15:09:18 Updated: libgudev1-186-1.fc18.x86_64
Jul 07 15:09:19 Updated: systemd-sysv-185-1.fc18.x86_64
Jul 07 15:10:08 Installed: libgudev1-185-1.fc18.x86_64
Jul 07 15:10:40 Installed: kernel-3.5.0-0.rc5.git3.1.fc18.x86_64
Jul 07 16:40:01 Updated: libselinux-2.1.11-1.fc18.x86_64
Jul 07 16:41:22 Updated: libselinux-utils-2.1.11-1.fc18.x86_64
Jul 07 16:44:03 Installed: kernel-devel-3.5.0-0.rc5.git2.1.fc18.x86_64
Jul 07 16:46:51 Updated: libselinux-python-2.1.11-1.fc18.x86_64
Jul 07 16:51:13 Updated: selinux-policy-3.11.0-8.fc18.noarch
Jul 07 16:52:40 Updated: selinux-policy-devel-3.11.0-8.fc18.noarch
Jul 07 16:54:01 Updated: libreport-plugin-kerneloops-2.0.10-3.fc18.x86_64
Jul 07 16:54:02 Updated: abrt-addon-kerneloops-2.0.10-4.fc18.x86_64
Jul 07 17:16:28 Updated: selinux-policy-targeted-3.11.0-8.fc18.noarch
Jul 07 17:22:43 Updated: kernel-headers-3.5.0-0.rc5.git2.1.fc18.x86_64
Jul 07 19:34:00 Updated: kernel-headers-3.5.0-0.rc5.git3.1.fc18.x86_64
Jul 07 19:36:02 Installed: kernel-devel-3.5.0-0.rc5.git3.1.fc18.x86_64
Jul 10 18:16:40 Installed: kernel-devel-3.5.0-0.rc6.git0.2.fc18.x86_64
Jul 10 18:16:48 Updated: kernel-headers-3.5.0-0.rc6.git0.2.fc18.x86_64
Jul 10 18:18:34 Installed: kernel-3.5.0-0.rc6.git0.2.fc18.x86_64
Jul 11 07:24:51 Installed: kernel-devel-3.5.0-0.rc6.git1.1.fc18.x86_64
Jul 11 07:25:32 Updated: kernel-headers-3.5.0-0.rc6.git1.1.fc18.x86_64
Jul 11 07:25:44 Installed: kernel-3.5.0-0.rc6.git1.1.fc18.x86_64
Jul 13 21:16:25 Installed: kernel-devel-3.5.0-0.rc6.git3.1.fc18.x86_64
Jul 13 21:22:53 Updated: kernel-headers-3.5.0-0.rc6.git3.1.fc18.x86_64
Jul 13 21:23:09 Installed: kernel-3.5.0-0.rc6.git3.1.fc18.x86_64
Jul 14 09:45:02 Updated: libselinux-2.1.11-2.fc18.x86_64
Jul 14 09:45:05 Updated: selinux-policy-3.11.0-9.fc18.noarch
Jul 14 09:45:44 Updated: selinux-policy-devel-3.11.0-9.fc18.noarch
Jul 14 09:46:27 Updated: selinux-policy-targeted-3.11.0-9.fc18.noarch
Jul 14 09:46:29 Updated: libselinux-utils-2.1.11-2.fc18.x86_64
Jul 14 09:46:30 Updated: libselinux-python-2.1.11-2.fc18.x86_64
Jul 14 10:09:37 Installed: systemd-libs-186-2.fc18.x86_64
Jul 14 10:09:49 Installed: systemd-186-2.fc18.x86_64
Jul 14 10:09:50 Updated: systemd-sysv-186-2.fc18.x86_64
Jul 14 10:09:52 Updated: dracut-020-84.git20120711.fc18.x86_64
Jul 14 10:09:53 Updated: libgudev1-186-2.fc18.x86_64
Jul 14 10:17:52 Installed: kernel-devel-3.5.0-0.rc6.git4.1.fc18.x86_64
Jul 14 10:17:56 Updated: kernel-headers-3.5.0-0.rc6.git4.1.fc18.x86_64
Jul 14 10:18:10 Installed: kernel-3.5.0-0.rc6.git4.1.fc18.x86_64
Comment 1 Nicolas Mailhot 2012-07-14 05:08:31 EDT
(on a clean rawhide system, installed and upgrade from F17 a week ago, when dracut killed the previous one)
Comment 2 Nicolas Mailhot 2012-07-14 05:12:12 EDT
Created attachment 598234 [details]
dmesg
Comment 3 Nicolas Mailhot 2012-07-14 05:13:56 EDT
Created attachment 598235 [details]
lspci
Comment 4 Nicolas Mailhot 2012-07-14 05:23:09 EDT
Created attachment 598236 [details]
system logs
Comment 5 Nicolas Mailhot 2012-07-14 05:26:03 EDT
Created attachment 598237 [details]
avcs according to ausearch
Comment 6 Nicolas Mailhot 2012-07-14 05:27:26 EDT
Created attachment 598238 [details]
avcs according to dmesg
Comment 7 Harald Hoyer 2012-07-16 05:15:56 EDT
[   16.636642] systemd[1]: Switching root.

Apparently your system has successfully switched to the real root. What is the bug in dracut now again?
Comment 8 Adam Tkac 2012-07-16 06:22:36 EDT
I'm experiencing same problems but in my opinion this is not bug in dracut but in kernel: bug #840235
Comment 9 Nicolas Mailhot 2012-07-16 06:52:15 EDT
(In reply to comment #7)
> [   16.636642] systemd[1]: Switching root.
> 
> Apparently your system has successfully switched to the real root. What is
> the bug in dracut now again?

As stated in the original message, the system continues to boot only after manual emergency login and starting the gpm service (don't ask me why this is sufficient for systemd to conclude the root switch is successful when it wasn't before)
Comment 10 Harald Hoyer 2012-07-16 07:09:33 EDT
(In reply to comment #9)
> (In reply to comment #7)
> > [   16.636642] systemd[1]: Switching root.
> > 
> > Apparently your system has successfully switched to the real root. What is
> > the bug in dracut now again?
> 
> As stated in the original message, the system continues to boot only after
> manual emergency login and starting the gpm service (don't ask me why this
> is sufficient for systemd to conclude the root switch is successful when it
> wasn't before)

gpm.service is _not_ in the initramfs, this is already your real root.
Comment 11 Nicolas Mailhot 2012-07-16 07:42:05 EDT
Sure but at that point the initramfs handover was not successful according to systemd.
Comment 12 Harald Hoyer 2012-07-16 10:05:57 EDT
(In reply to comment #11)
> Sure but at that point the initramfs handover was not successful according
> to systemd.

[   12.332055] systemd[1]: Unknown kernel switch rd.systemd.log_level=debug. Ignoring.

change that in "systemd.log_level=debug"


I think this is the journal bug of systemd, which will be fixed with
http://cgit.freedesktop.org/systemd/systemd/commit/?id=bd3fa1d2434aa28564251ac4da34d01537de8c4b
Comment 13 Nicolas Mailhot 2012-07-16 11:17:53 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > Sure but at that point the initramfs handover was not successful according
> > to systemd.
> 
> [   12.332055] systemd[1]: Unknown kernel switch rd.systemd.log_level=debug.
> Ignoring.

Already there:

[    0.000000] Command line: BOOT_IMAGE=/vmlinuz-3.5.0-0.rc6.git4.1.fc18.x86_64 root=/dev/mapper/VolGroup00-fedora ro rd.md.uuid=60ab7ad8:5e71ed16:57627bc9:17e70637 rd.md.uuid=746f1cca:4ea1a3c9:22961411:6ca914c8 LANG=fr_FR.UTF-8 SYSFONT=True rd.lvm.lv=VolGroup00/fedora KEYTABLE=fr-latin9 rd.luks=0 rd.dm=0 rd.systemd.log_level=debug systemd.log_level=debug rd.info log_buf_len=1M
Comment 14 Nicolas Mailhot 2012-07-17 02:13:22 EDT
Before manually starting gpm convinces systemd it can actually boot:

fedora-s...it-late.service loaded failed failed      Initialize storage subsystems (RAID, LVM, etc.)
fedora-s...ge-init.service loaded failed failed      Initialize storage subsystems (RAID, LVM, etc.)
lvm2-monitor.service       loaded failed failed      Monitoring of LVM2 mirrors, snapshots etc. using dmeventd or progress polling
systemd-journald.socket    loaded failed failed      Journal Socket
dev-disk...89a473c02f.swap loaded failed failed      /dev/disk/by-uuid/03924499-649c-41b8-9f63-d389a473c02f
dev-disk...3a0310ffb2.swap loaded failed failed      /dev/disk/by-uuid/ec420dbe-b6a9-48d4-ae67-1d3a0310ffb2
Comment 15 Nicolas Mailhot 2012-07-17 13:44:38 EDT
dracut-020-96.git20120717.fc18.x86_64
+
kernel-3.5.0-0.rc7.git1.2.fc18.x86_64

boots again properly. Thank you very much

BTW, the dracut problems made lwn headlines this week, so some explanations may calm the press
Comment 16 Harald Hoyer 2012-07-25 08:06:57 EDT
(In reply to comment #15)
> dracut-020-96.git20120717.fc18.x86_64
> +
> kernel-3.5.0-0.rc7.git1.2.fc18.x86_64
> 
> boots again properly. Thank you very much
> 
> BTW, the dracut problems made lwn headlines this week, so some explanations
> may calm the press

yeah, http://lists.fedoraproject.org/pipermail/devel/2012-July/169602.html
Comment 17 Lennart Poettering 2012-09-14 09:58:15 EDT
Seems this has been fixed a while back already. Closing.

Note You need to log in before you can comment on or make changes to this bug.